<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCoreEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('core_events', function (Blueprint $table) {
            $table->increments('id');
            $table->char('lang');
            $table->string('event');
            $table->string('device')->nullable()->comment('设备');
            $table->string('ip')->nullable();
            $table->string('country')->nullable()->comment('国家');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('core_events');
    }
}
